KDE 4.2 PyKDE API Reference

- KDE's Python API

# KonqBookmarkMenu Class Reference

`from PyKDE4.kio import *`

Inherits: KBookmarkMenu → QObject

## Detailed Description

## Methods

| __init__ (self, KBookmarkManager mgr, KonqBookmarkOwner owner, KBookmarkActionMenu parentMenu, KActionCollection collec)
| __init__ (self, KBookmarkManager mgr, KonqBookmarkOwner owner, KBookmarkActionMenu parentMenu, QString parentAddress)
QAction | actionForBookmark (self, KBookmark bm)
KMenu | contextMenu (self, QAction act)
| fillDynamicBookmarks (self)
| refill (self)

## Static Methods

QStringList | dynamicBookmarksList ()
| setDynamicBookmarks (QString id, DynMenuInfo info)
DynMenuInfo | showDynamicBookmarks (QString id)

## Method Documentation

__init__ | ( | self, |
|  | KBookmarkManager | mgr,
|  | KonqBookmarkOwner | owner,
|  | KBookmarkActionMenu | parentMenu,
|  | KActionCollection | collec
| ) |  |  |

Fills a bookmark menu with konquerors bookmarks (one instance of KonqBookmarkMenu is created for the toplevel menu, but also one per submenu).

Parameters:

  | mgr | The bookmark manager to use (i.e. for reading and writing)
  | owner | implementation of the KonqBookmarkOwner callback interface. Note: If you pass a null KonqBookmarkOwner to the constructor, the URLs are openend by KRun and "Add Bookmark" is disabled.
  | parentMenu | menu to be filled
  | collec | parent collection for the KActions.

__init__ | ( | self, |
|  | KBookmarkManager | mgr,
|  | KonqBookmarkOwner | owner,
|  | KBookmarkActionMenu | parentMenu,
|  | QString | parentAddress
| ) |  |  |

Creates a bookmark submenu. Only used internally and for bookmark toolbar.

QAction actionForBookmark | ( | self, |
|  | KBookmark | bm
| ) |  |  |

KMenu contextMenu | ( | self, |
|  | QAction | act
| ) |  |  |

QStringList dynamicBookmarksList | ( |  | ) |

Returns:
  list of dynamic menu ids

fillDynamicBookmarks | ( |  | self ) |

refill | ( |  | self ) |

setDynamicBookmarks | ( | QString | id,
|  | DynMenuInfo | info
| ) |  |  |

Shows an extra menu for the given bookmarks file and type. Upgrades from option inside XBEL to option in rc file on first call of this function.

Parameters:

  | id | the unique identification for the dynamic menu
  | info | a DynMenuInfo struct containing the to be added/modified data

DynMenuInfo showDynamicBookmarks | ( | QString | id
| ) |  |  |